错误安装nodejs … SSL_COMP_get_compression_methods

在mac os x leopard上安装node-v0.4.8,出现如下错误:

../src/node_crypto.cc:2917: error: 'SSL_COMP_get_compression_methods' was not declared in this scope Waf: Leaving directory `/usr/local/node-v0.4.8/build' Build failed: -> task failed (err #1): {task: cxx node_crypto.cc -> node_crypto_4.o} make: *** [program] Error 1 

任何人遇到这个错误安装最新的nodejs? 感谢您的任何build议。

       

网上收集的解决方案 "错误安装nodejs … SSL_COMP_get_compression_methods"

MacOSX附带的openssl版本不是最新版本。 我会build议在这里抓取最新版本:

http://www.openssl.org/source/openssl-1.0.0d.tar.gz

将其解压缩到您select的目录,然后cd到该目录:

 $ ./configure $ make $ sudo make install 

最后的sudo命令将要求您input您的pipe理员密码。 然后转到node.js源代码目录并:

 $ ./configure --openssl-includes=/usr/local --openssl-libpath=/usr/local 

这将告诉节点使用我们刚编译和安装的定制的openssl。 最后:

 $ make $ sudo make install 

对不起,不知道如何评论而不是发表一个答案。 但这不适合我。 相同的SSL错误。 然而这工作:

http://nelsonslog.wordpress.com/2011/04/10/node-without-ssl/

现在很好,因为我只是原型,但是显然缺乏SSL。